#!/usr/bin/python3

from ui.main_window import MainWindow


class GUI:
    def __init__(self, app):
        self.app = app

        self.window = MainWindow()

        if self.app.settings.window_maximized:
            self.window.showMaximized()

        elif not self.app.settings.window_size is None:
            self.window.resize(*self.app.settings.window_size)

        self.connect()

        self.window.show()

    def connect(self):
        self.window.closeEvent = self.app.utils.on_close

